AUTOMOUNT(8)

NAME
automount - update autofs mounts

SYNOPSIS
automount [-D name=value] [-L] [-c] [-f] [-o options] [-v] [-u]

DESCRIPTION
When called without options, the automount command parses the auto_master(5) configuration file and any direct maps that it references, and mounts or unmounts autofs(4) filesystems to match. These options are available:

-D  Define a variable. It is only useful with -L.

-L  Do not mount or unmount anything. Instead parse auto_master(5) and any direct maps, then print them to standard output. When specified more than once, all the maps, including indirect ones, will be parsed and shown. This is useful when debugging configuration problems.

-c  Flush caches, discarding possibly stale information obtained from maps and directory services.

-f  Force unmount, to be used with -u.

-o  Specify mount options to be used along with the ones specified in the maps. It is only useful with -L.

-u  Try to unmount filesystems mounted by automountd(8). autofs(5) mounts are not unmounted. To unmount all autofs mounts, use umount -At autofs.

-v  Increase verbosity.

EXIT STATUS

EXAMPLES
Unmount all filesystems mounted by automountd(8):
    automount -u

SEE ALSO
auto_master(5), autofs(5), automountd(8), autounmountd(8)

HISTORY
The automount command appeared in FreeBSD 10.1.

AUTHORS
The automount was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.